""" beispiel_ls1_01.py - Speicherplatzinformationen anzeigen
    Name, Organisaion:          Markus Breuer, BK-GuT
    Erstellt, Letzte Änderung:  30.09.2023, 03.10.2023
    """


import wmi


GB = 1e9
NACHKOMMASTELLEN = 2


# Überschrift ausgeben
print("Speicherplatzinformationen anzeigen")
print("-----------------------------------")
print("")

# Verbindung zur WMI-Schnittstelle aufbauen
verbindung = wmi.WMI()

# Überschriftszeile ausgeben
print(
    f"{'Laufwerk':>15s} | {'Verfügbar (GB)':>15s} | {'Frei (GB)':>15s} | {'Frei (%)':>15s}"
)
# Speicherplatzinformationen holen
for disk in verbindung.Win32_LogicalDisk():
    if disk.size is not None:
        # Daten extrahieren und aufbereiten
        name = disk.Caption
        freier_platz = float(disk.FreeSpace)
        freier_platz = freier_platz / GB
        freier_platz = round(freier_platz, NACHKOMMASTELLEN)
        verfuegbarer_platz = int(disk.Size)
        verfuegbarer_platz = verfuegbarer_platz / GB
        verfuegbarer_platz = round(verfuegbarer_platz, NACHKOMMASTELLEN)
        freier_platz_prozent = 100 * freier_platz / verfuegbarer_platz
        freier_platz_prozent = round(freier_platz_prozent, NACHKOMMASTELLEN)
        # Datenzeile ausgeben
        print(
            f"{name:>15s} | {verfuegbarer_platz:>15.2f} | {freier_platz:>15.2f} | {freier_platz_prozent:>15.2f}"
        )
print("")

"""
for disk in verbindung.Win32_LogicalDisk():
    if disk.size != None:
        print(disk)
"""
